%define alpha         017
%define prefix        /usr
%define localstatedir /var
%define upstreamversion 1.1.1
Summary: FreeWnn Japanese Input System
Name: FreeWnn
Version: 1.11
Release: 5
Group: Applications/System
Copyright: GPL
URL: http://www.freewnn.org/
%define tarball       %{name}-%{upstreamversion}-a%{alpha}
Source0: ftp://ftp.freewnn.org/pub/FreeWnn/alpha/%{tarball}.tar.gz
Source1: FreeWnn.init
Source2: cWnn.init
Source3: tWnn.init
Source4: kWnn.init
Patch0:	FreeWnn-fsstnd.patch
Patch1:	FreeWnn-ja-a017.patch
Patch2:	FreeWnn-noroot.patch
Patch3:	FreeWnn-noroot2.patch
Patch4:	jserverrc-g-jinmei.patch
Prereq:	grep, textutils, shadow-utils
Requires: FreeWnn-common, chkconfig
Conflicts: wnn6
BuildRoot: %{_tmppath}/%{name}-%{upstreamversion}-root
Summary(ja): FreeWnn ܸϥƥ

Vendor: RedHat
Distribution: RedHat
Packager: ISHIKAWA Mutsumi <ishikawa@redhat.com>

%description
This distribution contains FreeWnn Japanese Input System. 
FreeWnn is a network-extensible Kana-to-Kanji conversion system
and was jointly developed and released by the Software Research Group
of KyotoUniversity Research Institute for Mathematical Science, OMRON
Corporation and Astec, Inc.

%description -l ja
FreeWnn ̾Ѵƥϡؿϸꡢҡ
ҥƥåΣԤˤäƳȯ줿ͥåȥ̾Ѵ
ƥǤ

ΥѥåˤܸϥФΤߴޤޤޤ

%package devel
Summary: development library and header file for FreeWnn
Group: Development/Libraries
Summary(ja): FreeWnn(jserver) ѳȯ饤֥ȥإåե

%description devel
This package contains the header file and library for building programs
with use FreeWnn.

%description devel -l ja
Υѥåˤ FreeWnn Ѥܸ client 
ѥ뤹뤿ɬפʥإåեȥ饤֥꤬
ޤޤƤޤ

############################################################
# FreeWnn-common
############################################################
%package common
Summary: common File for Wnn
Group: Applications/System

%description common
FreeWnn-common includes the files you need to run FreeWnn, cWnn or kWnn.
Install FreeWnn-common if you will be using Wnn System.

#############################################################
#  cWnn
#############################################################
%package -n cWnn
Summary: cWnn Chinese Input System
Group: Applications/System
Requires: FreeWnn-common, cWnn-common
Prereq: shadow-utils, cWnn-common

%description -n cWnn
This package include FreeWnn Chinese Input System.

%package -n cWnn-common
Summary: cWnn/tWnn Chinese Input System common file
Group: Applications/System
Requires: FreeWnn-common
Prereq: shadow-utils

%description -n cWnn-common
This package include cWnn/tWnn Chinese Input System common file.

%package -n cWnn-devel
Summary: development library and header file for cWnn,tWnn.
Group: Development/Libraries

%description -n cWnn-devel
This package contains the header file and library for building programs
with use cWnn,tWnn.

#############################################################
#  tWnn
#############################################################
%package -n tWnn
Summary: tWnn Chinese Input System
Group: Applications/System
Requires: FreeWnn-common, cWnn-common
Prereq: shadow-utils, cWnn-common

%description -n tWnn
tWnn Chinese Input System

#############################################################
#  kWnn
#############################################################
%package -n kWnn
Summary: kWnn Korean Input System
Group: Applications/System
Requires: FreeWnn-common
Prereq: shadow-utils

%description -n kWnn
kWnn Korean Input System

%package -n kWnn-devel
Summary: development library and header file for kWnn
Group: Development/Libraries

%description -n kWnn-devel
This package contains the header file and library for building programs
with use kWnn.

%prep
%setup -q -n %{tarball}/Xsi
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p2
%patch4 -p2

cp -p %{SOURCE2} .

%build
%configure --mandir=%{prefix}/share/man

## for smp system.
if [ "$SMP" != "" ]; then
  make -j$SMP "MAKE=make -j$SMP"
  make
else
  make
fi


%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install.man
#make DESTDIR=$RPM_BUILD_ROOT \
#    MANDIR=%{prefix}/X11R6/man/ja_JP.ujis/man1 \
#    LIBMANDIR=%{prefix}/X11R6/man/ja_JP.ujis/man3 \
#    install.man

mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man3
mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man4
mkdir -p $RPM_BUILD_ROOT/usr/share/man/ja/man5
cd $RPM_BUILD_ROOT/usr/share/man/man1
for i in atod.1 atof.1 dtoa.1 jserver.1 oldatonewa.1 uum.1 wddel.1 wdreg.1 \
	wnnkill.1 wnnstat.1 wnntouch.1
do
	mv $i $RPM_BUILD_ROOT/usr/share/man/ja/man1/
done
cd $RPM_BUILD_ROOT/usr/share/man/man3
for i in *.3
do
	mv $i $RPM_BUILD_ROOT/usr/share/man/ja/man3/
done

cd $RPM_BUILD_ROOT/usr/share/man/man4
for i in 2a_ctrl.4 2b_romkana.4 cvt_key_tbl.4 fzk.data.4 fzk.u.4 \
	hinsi_data.4 jserverrc.4 mode.4 serverdefs.4 ujis_dic.4 \
	uumkey.4 uumrc.4 wnnenvrc.4
do
	mv $i $RPM_BUILD_ROOT/usr/share/man/ja/man4/
done

cd $RPM_BUILD_ROOT/usr/share/man/man5
for i in pubdic.5 usr_dic.5
do
	mv $i $RPM_BUILD_ROOT/usr/share/man/ja/man5/
done

mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d
install -m755 %{SOURCE1} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/FreeWnn
install -m755 %{SOURCE2} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/cWnn
install -m755 %{SOURCE3} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/tWnn
install -m755 %{SOURCE4} \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/kWnn

ln -sf /var/lib/wnn/ja/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/ja/dic
ln -sf /var/lib/wnn/zh_CN/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/zh_CN/dic
ln -sf /var/lib/wnn/zh_TW/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/zh_TW/dic
ln -sf /var/lib/wnn/ko_KR/dic ${RPM_BUILD_ROOT}/etc/FreeWnn/ko_KR/dic

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4 lines to /etc/services
  if (grep '22273/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The wnn4 services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4 services
wnn4              22273/tcp
# end of wnn4 services
_EOD2_
  fi
fi

# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 127 wnn -c "Wnn System Account"
fi

%post
/sbin/chkconfig --add FreeWnn
/usr/bin/wnntouch  /var/lib/wnn/ja/dic/gerodic/g-jinmei.dic
cd /var/lib/wnn/ja/dic/pubdic
/usr/bin/wnntouch *.*

%preun
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the wnn4 lines from /etc/services
  if (grep '^# start of wnn4 services$' /etc/services >/dev/null && \
      grep '^# end of wnn4 services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4 services$/,/^# end of wnn4 services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4 services' and
warning: `# end of wnn4 services' in the file /etc/services.
warning: You should remove the wnn4 services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del FreeWnn


%pre common
# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 127 wnn -c "Wnn System Account"
fi

%post devel
# if you make libwnn.so, unomment it.
#/sbin/ldconfig

%pre -n cWnn
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4_Cn lines to /etc/services
  if (grep '22289/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The cserver services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4_Cn services
wnn4_Cn              22289/tcp
# end of wnn4_Cn services
_EOD2_
  fi
fi

# add user 'wnn'
if  ! grep -q '^wnn:' /etc/passwd
then
    /usr/sbin/useradd -M -u 127 wnn -c "Wnn System Account"
fi

%post -n cWnn
#/sbin/chkconfig --add cWnn
cd /var/lib/wnn/zh_CN/dic/sys
/usr/bin/cwnntouch *.*

%preun -n cWnn
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the wnn4_Cn lines from /etc/services
  if (grep '^# start of wnn4_Cn services$' /etc/services >/dev/null && \
      grep '^# end of wnn4_Cn services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4_Cn services$/,/^# end of wnn4_Cn services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4_Cn services' and
warning: `# end of wnn4_Cn services' in the file /etc/services.
warning: You should remove the wnn4_Cn services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del cWnn

%postun -n cWnn-devel
# if you make libwnn.so, unomment it.
#/sbin/ldconfig

%pre -n tWnn
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4_Tw lines to /etc/services
  if (grep '22321/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The wnn4_Tw services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4_Tw services
wnn4_Tw              22321/tcp
# end of wnn4_Tw services
_EOD2_
  fi
fi

%post -n tWnn
#/sbin/chkconfig --add tWnn
cd /var/lib/wnn/zh_TW/dic/sys
/usr/bin/cwnntouch *.*

# Do only for the last un-install
%preun -n tWnn
if [ "$1" = 0 ] ; then
  # remove the wnn4_Tw lines from /etc/services
  if (grep '^# start of wnn4_Tw services$' /etc/services >/dev/null && \
      grep '^# end of wnn4_Tw services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4_Tw services$/,/^# end of wnn4_Tw services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4_Tw services' and
warning: `# end of wnn4_Tw services' in the file /etc/services.
warning: You should remove the wnn4_Tw services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del tWnn

%pre -n kWnn
# Do only for the first install
if [ "$1" = 1 ] ; then
  # Add the wnn4_Kr lines to /etc/services
  if (grep '22305/tcp' /etc/services >/dev/null); then
    cat <<'_EOD1_' >&2
warning: The kserver services appear to be present in /etc/services.
_EOD1_
    true
  else
    cat <<'_EOD2_' >>/etc/services
# start of wnn4_Kr services
wnn4_Kr              22305/tcp
# end of wnn4_Kr services
_EOD2_
  fi
fi

%post -n kWnn
#/sbin/chkconfig --add kWnn
cd /var/lib/wnn/ko_KR/dic/sys
/usr/bin/kwnntouch *.*

%preun -n kWnn
# Do only for the last un-install
if [ "$1" = 0 ] ; then
  # remove the wnn4_Kr lines from /etc/services
  if (grep '^# start of wnn4_Kr services$' /etc/services >/dev/null && \
      grep '^# end of wnn4_Kr services$' /etc/services >/dev/null ); then
    sed -e '/^# start of wnn4_Kr services$/,/^# end of wnn4_Kr services$/d' \
        </etc/services >/tmp/services.tmp$$
    cat /tmp/services.tmp$$ >/etc/services
    rm /tmp/services.tmp$$
  else
    cat <<'_EOD3_' >&2
warning: Unable to find the lines `# start of wnn4_Kr services' and
warning: `# end of wnn4_Kr services' in the file /etc/services.
warning: You should remove the wnn4_Kr services from /etc/service manually.
_EOD3_
  fi
fi
/sbin/chkconfig --del kWnn

%postun -n kWnn-devel
# if you make libwnn.so, unomment it.
#/sbin/ldconfig

%files
%defattr(-,root,root)
%doc Wnn/manual Wnn/manual.en
%config /etc/rc.d/init.d/FreeWnn
%attr(-,wnn,root) %{prefix}/bin/atod
%attr(-,wnn,root) %{prefix}/bin/dtoa
%attr(-,wnn,root) %{prefix}/bin/oldatonewa
%attr(-,wnn,root) %{prefix}/bin/wdreg
%attr(-,wnn,root) %{prefix}/bin/wnnstat
%attr(-,wnn,root) %{prefix}/bin/atof
%attr(4711,wnn,root) %{prefix}/bin/jserver
%attr(-,wnn,root) %{prefix}/bin/wddel
%attr(-,wnn,root) %{prefix}/bin/wnnkill
%attr(-,wnn,root) %{prefix}/bin/wnntouch
%{prefix}/share/man/ja/man1/*
%{prefix}/share/man/ja/man4/*
%{prefix}/share/man/ja/man5/*
%attr(-,wnn,root)/var/lib/wnn/ja/dic
%dir /etc/FreeWnn/ja
/etc/FreeWnn/ja/dic
%config /etc/FreeWnn/ja/hinsi.data
%config /etc/FreeWnn/ja/jserverrc
%config /etc/FreeWnn/ja/libwnn.msg
%config /etc/FreeWnn/ja/rk
%config /etc/FreeWnn/ja/rk.vi
%config /etc/FreeWnn/ja/uum.msg
%config /etc/FreeWnn/ja/uumkey
%config /etc/FreeWnn/ja/uumkey.omr
%config /etc/FreeWnn/ja/uumkey_e
%config /etc/FreeWnn/ja/uumrc
%config /etc/FreeWnn/ja/uumrc.omr
%config /etc/FreeWnn/ja/uumrc.rev
%config /etc/FreeWnn/ja/uumrc_e
%config /etc/FreeWnn/ja/uumrc_vi
%config /etc/FreeWnn/ja/wnnenvrc
%config /etc/FreeWnn/ja/wnnenvrc.omr
%config /etc/FreeWnn/ja/wnnenvrc.rem
%config /etc/FreeWnn/ja/wnnenvrc.rev
%config /etc/FreeWnn/ja/wnnenvrc_R
%config /etc/FreeWnn/ja/wnnenvrc_R.omr
%config /etc/FreeWnn/ja/wnnenvrc_R.rem
%config /etc/FreeWnn/ja/wnnstat.msg
%dir /etc/FreeWnn/lt_LN
/etc/FreeWnn/lt_LN/rk
%config /etc/FreeWnn/lt_LN/uum.msg
%config /etc/FreeWnn/lt_LN/uumkey
%config /etc/FreeWnn/lt_LN/uumkey_e
%config /etc/FreeWnn/lt_LN/uumrc

%files devel
%defattr(-,root,root)
%{prefix}/include/wnn/*
%{prefix}/lib/libjd.a
%{prefix}/lib/libwnn.a
%{prefix}/share/man/ja/man3/*

%files common
%defattr(-,root,root)
%doc CONTRIBUTORS ChangeLog
%dir /etc/FreeWnn
%config /etc/FreeWnn/cvt_key_empty
%config /etc/FreeWnn/cvt_key_tbl
%config /etc/FreeWnn/cvt_key_tbl.ST
%config /etc/FreeWnn/cvt_key_tbl.gm
%config /etc/FreeWnn/cvt_key_tbl.kt
%config /etc/FreeWnn/cvt_key_tbl.mv
%config /etc/FreeWnn/cvt_key_tbl.vt
%config /etc/FreeWnn/serverdefs

%files -n cWnn
%defattr(-,root,root)
%config /etc/rc.d/init.d/cWnn
%attr(4711,wnn,root) %{prefix}/bin/cserver
%dir /etc/FreeWnn/zh_CN
%config /etc/FreeWnn/zh_CN/cixing.data
%config /etc/FreeWnn/zh_CN/cserverrc
/etc/FreeWnn/zh_CN/dic
%attr(-,wnn,root)/var/lib/wnn/zh_CN/dic
%config /etc/FreeWnn/zh_CN/libwnn.msg
/etc/FreeWnn/zh_CN/rk
/etc/FreeWnn/zh_CN/rk_p
/etc/FreeWnn/zh_CN/rk_z
/etc/FreeWnn/zh_CN/uum.msg
/etc/FreeWnn/zh_CN/uumkey
/etc/FreeWnn/zh_CN/uumkey_e
/etc/FreeWnn/zh_CN/uumkey_p
%config /etc/FreeWnn/zh_CN/uumrc
%config /etc/FreeWnn/zh_CN/uumrc_p
%config /etc/FreeWnn/zh_CN/uumrc_z
%config /etc/FreeWnn/zh_CN/wnnenvrc
%config /etc/FreeWnn/zh_CN/wnnenvrc_Qi
%config /etc/FreeWnn/zh_CN/wnnenvrc_QiR
%config /etc/FreeWnn/zh_CN/wnnenvrc_R
%config /etc/FreeWnn/zh_CN/wnnenvrc_Wu
%config /etc/FreeWnn/zh_CN/wnnenvrc_WuR
%config /etc/FreeWnn/zh_CN/wnnstat.msg
%{prefix}/share/man/man1/cserver.1*

%files -n cWnn-common
%defattr(-,root,root)
%doc cWnn/manual cWnn/manual.en
%{prefix}/bin/catod
%{prefix}/bin/catof                  
%{prefix}/bin/cdtoa
%{prefix}/bin/cwddel
%{prefix}/bin/cwdreg
%{prefix}/bin/cwnnkill
%{prefix}/bin/cwnnstat
%{prefix}/bin/cwnntouch
%{prefix}/share/man/man1/catod.1*
%{prefix}/share/man/man1/catof.1*
%{prefix}/share/man/man1/cdicsort.1*
%{prefix}/share/man/man1/cdtoa.1*
%{prefix}/share/man/man1/cuum.1*
%{prefix}/share/man/man1/cwddel.1*
%{prefix}/share/man/man1/cwdreg.1*
%{prefix}/share/man/man1/cwnnkill.1*
%{prefix}/share/man/man1/cwnnstat.1*
%{prefix}/share/man/man4/cenv.4*
%{prefix}/share/man/man4/ckey.4*
%{prefix}/share/man/man4/cwnn.4*
%{prefix}/share/man/man4/cst_end.4*

%files -n cWnn-devel
%defattr(-,root,root)
%{prefix}/include/cwnn/*
%{prefix}/lib/libcwnn.a

%files -n tWnn
%defattr(-,root,root)
%config /etc/rc.d/init.d/tWnn
%attr(4711,wnn,root) %{prefix}/bin/tserver
%dir /etc/FreeWnn/zh_TW
%config /etc/FreeWnn/zh_TW/cixing.data
/etc/FreeWnn/zh_TW/dic
%attr(-,wnn,root) /var/lib/wnn/zh_TW/dic
%config /etc/FreeWnn/zh_TW/libwnn.msg
/etc/FreeWnn/zh_TW/rk
/etc/FreeWnn/zh_TW/rk_p
/etc/FreeWnn/zh_TW/rk_z
%config /etc/FreeWnn/zh_TW/tserverrc
%config /etc/FreeWnn/zh_TW/uum.msg
%config /etc/FreeWnn/zh_TW/uumkey
%config /etc/FreeWnn/zh_TW/uumkey_e
%config /etc/FreeWnn/zh_TW/uumkey_p
%config /etc/FreeWnn/zh_TW/uumrc
%config /etc/FreeWnn/zh_TW/uumrc_p
%config /etc/FreeWnn/zh_TW/uumrc_z
%config /etc/FreeWnn/zh_TW/wnnenvrc
%config /etc/FreeWnn/zh_TW/wnnenvrc_R
%config /etc/FreeWnn/zh_TW/wnnstat.msg

%files -n kWnn
%defattr(-,root,root)
%config /etc/rc.d/init.d/kWnn
%{prefix}/bin/katod
%{prefix}/bin/katof
%{prefix}/bin/kdtoa
%attr(4711,wnn,root) %{prefix}/bin/kserver
%{prefix}/bin/kwddel
%{prefix}/bin/kwdreg
%{prefix}/bin/kwnnkill
%{prefix}/bin/kwnnstat
%{prefix}/bin/kwnntouch
%dir /etc/FreeWnn/ko_KR
/etc/FreeWnn/ko_KR/dic
%attr(-,wnn,root) /var/lib/wnn/ko_KR/dic
%config /etc/FreeWnn/ko_KR/hinsi.data
%config /etc/FreeWnn/ko_KR/kserverrc
%config /etc/FreeWnn/ko_KR/libwnn.msg
/etc/FreeWnn/ko_KR/rk
%config /etc/FreeWnn/ko_KR/uum.msg
%config /etc/FreeWnn/ko_KR/uumkey
%config /etc/FreeWnn/ko_KR/uumrc
%config /etc/FreeWnn/ko_KR/wnnenvrc
%config /etc/FreeWnn/ko_KR/wnnenvrc_R
%config /etc/FreeWnn/ko_KR/wnnstat.msg

%files -n kWnn-devel
%defattr(-,root,root)
%{prefix}/include/kwnn/*
%{prefix}/lib/libkwnn.a

%changelog
* Thu Sep 13 2000 Satoru Sato <ssato@redhat.com>
- (c|k|t)Wnn daemon are not started by default.

* Thu Sep  7 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- initfile move back /etc/init.d -> /etc/rc.d/init.d

* Fri Aug  4 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- move /etc/rc.d/init.d -> /etc/init.d

* Fri Aug  4 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- ported from Vine Linux
- Built for RedHat 7.0

* Tue Jul 25 2000 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- changed: each package (except devel) owns /etc/FreeWnn/* by adding %dir
- modified again *.init to do with socket left in /tmp 

* Fri Jul 14 2000 Lisa Sagami <czs14350@nifty.ne.jp>
- add %pre to addusr 127/wnn to avoid non-root build failure
- modified *.init to do with socket left in /tmp 
- correct %doc

* Tue Jul 11 2000 Masato Bito <masato@nets.ce.hiroshima-cu.ac.jp>
- 1.1.1-1vl3
- modified %patch0 -p3 -> %patch0 -p2
- modified BuildRoot:

* Thu Jul  6 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.1-1vl2
- fix bug in FreeWnn-ja-a017.patch

* Wed Jul  5 2000 Jun Nishii <jun@vinelinux.org>
- 1.1.1-1vl1
- handle man page compress
- update to FreeWnn-1.1.1-a017

* Mon Jan 31 2000 Norihito Ohmori <nono@kondara.org>
- ja_JP -> ja
- configuration file move to /etc
- change group.
- add cWnn and kWnn.
- add FreeWnn-common Package.
- remove sample.eggrc

* Tue Jan 25 2000 Norihito Ohmori <nono@vinelinux.org>
- add defattr and attr for %files section

* Tue Nov 23 1999 Norihito Ohmori <ohmori@flatout.org>
- add Requires: chkconfig
- Conflicts change from Wnn6 to wnn6

* Fri Nov 12 1999 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rins.st.ryukoku.ac.jp>
- FreeWnn-1.1.1-0.a013.4
- added Prereq: grep,textutils

* Wed Nov 10 1999 Jun Nishii <jun@flatout.org>
- remove cWnn and kWnn

* Sun Nov  7 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [FreeWnn-1.1.1-0.a013.2]
- Added a sample file of .eggrc to utilize gerodic.
- Now do not ldconfig after installation of FreeWnn-devel.
- Enabled you to compile with multi processors.
- Added 'Prereq: shadow-utils' for installation.
- Modified FreeWnn-jserver.script against error at boot time.

* Wed Oct 20 1999 Yasuhide OOMORI <dasen@typhoon.co.jp>
- [FreeWnn-1.1.1-0.a013.1]
- Updated to FreeWnn-1.1.1-a013.
- Separated cWnn,kWnn packages again.
- Make this package relocatable.
- Keep jserverrc and wnnenvrc when upgrading.

* Fri Sep 24 1999 Masaru Yokoi <yokoi @yk.fks.ryukoku.ac.jp>
- [FreeWnn-1.10-3]
- Added /var/lib/wnn/*/dic/usr .
- Moved libwnn.a from FreeWnn package to FreeWnn-devel package.
- Moved Japanese manuals from /usr/X11R6/man/man*
- to /usr/X11R6/man/ja_JP.ujis/man* .

* Wed Aug 11 1999 Masaru Yokoi <yokoi@yk.fks.ryukoku.ac.jp>
- First release.  Original idea is Sat Jul 12 1999 Norihito Ohmori
- <ohmori@flatout.org>
